1. Auth
Rootline API
  • Auth
    • Register customer account
      POST
    • User sign-in
      POST
    • User sign-out
      POST
    • Current session information
      GET
  • Users
    • Get current user profile
      GET
    • Update current user profile
      PATCH
  • Admin - Users
    • List and search users
      GET
    • Activate or deactivate user account
      PATCH
  • Addresses
    • List user shipping addresses
      GET
    • Create shipping address
      POST
    • Update shipping address
      PATCH
    • Delete shipping address
      DELETE
  • Health
    • Health check
      GET
  • Get application info and docs route
    GET
  • Schemas
    • AppInfoResponseDto
    • RegisterDto
    • AuthResponseDto
    • ErrorResponseDto
    • LoginDto
    • SignOutResponseDto
    • SessionResponseDto
    • UserProfileDto
    • UpdateProfileDto
    • AdminUserListResponseDto
    • AdminUpdateUserStatusDto
    • AdminUserItemDto
    • AddressResponseDto
    • CreateAddressDto
    • UpdateAddressDto
    • DeleteAddressResponseDto
  1. Auth

Register customer account

POST
/auth/register
Last modified:2026-11-03 23:10:15
Creates a new customer account, returns a session token, and sets the session cookie.

Request

Body Params application/jsonRequired

Examples

Responses

🟢201
application/json
Account successfully registered and authenticated
Bodyapplication/json

🟠400
🟠409
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/auth/register' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "string",
    "email": "user@example.com",
    "password": "stringst"
}'
Response Response Example
201 - Example 1
{
    "user": {
        "id": "string",
        "name": "string",
        "email": "user@example.com",
        "emailVerified": true,
        "role": "string",
        "image": "string",
        "createdAt": "string"
    },
    "token": "string"
}
Modified at 2026-11-03 23:10:15
Next
User sign-in
Built with